=== pkg/maemo5/debian/changelog ===
serieswatcher (0.1.0-1) unstable; urgency=low

  * Initial release

 -- Corentin Chary <corentincj@iksaif.net>  Thu, 15 Oct 2010 16:02:59 +0200
