=== pkg/maemo5/debian/control ===
Source: serieswatcher
Section: user/utilities
Priority: extra
Maintainer: Corentin Chary <corentincj@iksaif.net>
XSBC-Bugtracker: http://dev.iksaif.net/projects/serieswatcher
Build-Depends: debhelper (>= 5), libqtm-dev, libqt4-dev, libzip-dev, cmake
Standards-Version: 3.7.2

Package: serieswatcher
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
XB-Description-fr_FR: SeriesWatcher permet de surveiller
 les séries que vous regardez. Vous pourrez être prévenus
 des nouveaux épisodes, les marquer comme vus, etc...
 SeriesWatcher permet aussi de rajouter des liens dynamiques
 vers d'autres services afin de pouvoir rapidement trouver
 les DVDs ou sous-titres correspondant à un épisode ou à
 une saison. L'application utilise l'API fournie par
 thetvdb.com.
XB-Maemo-Display-Name: Serieswatcher
Description: SeriesWatcher can help you keep track of the
 TV shows you're watching. It let you mark watched episode
 and allow to add dynamic links to other services (to buy
 DVDs, download subtitles, etc...). Data comes from
 thetvdb.com XML API.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAA3XQAAN10BGYBGXQAAAAd0
 SU1FB9oKDw4BKqWcSIMAAA4cSURBVGje1Zl5kFXVncc/57z7tm66m6bp0Cyi
 IiAGZFMcUVCckskEdUzFqako6B9onMRRy13ZErUQFxIXjDFxxqRKKlYlpYlO
 BcVgLEcYY8S4AFFaISANDU033XT36/feXc75zR/3vNevVdA2msrcqtN3ebfv
 /S3f3/L9Xfg732bMmMX/u23KydMmnjbrjMVTp55yHcCsWWce8V719yL0qFFj
 TxsxYsSV6XT6n2tr67KZTKa2p7vn8MGO9hPf/fPbnUf6P/1lCzb15GkfM5qI
 1IZhOMYYs8AY8xsRkWeeefqPEydMvLxmSO2oYiEYdrCtwyv6UfXwhqYzj/b8
 L0UBa235eMvWdwA4duyxMydNOumqk06avObxx3/+e8/zWoB11tpvBEHArFmn
 ypKlt1Bf30A+71NdVUtdbX22OjtkxtHe9YVBqFgskk6nUar/kXV1w84bMeIr
 izPpzBm1Q4dmkl6yNgojHQQh8+adzT33rpTu7m4VRZFEUaSstXR1dslj/7lW
 fdD8FxKeh7XmN+3tey9+ffP/+l+YAuPHj2fHjh2Vl7zNm1+vOfXUWVXGmPlK
 qcVKqbn5fIGFCy/lYFu7FIpFFfgBoCWVSiud8GTB17+mFl++kEQiQRAE9PX1
 hWEYhnv37ju8atXq7e+9t+WtXK73v4E/AOFfpUAYhiSTyfL55MmTkwcOHJid
 zWZnZjLZ6RdeeOE/3HffvZOUUohIaUmhUFDXXnOjbH7jTVWVrSaZSkkqmVbp
 dJowNMycOblvxszJrc3NzQe2bt26d8OGDc25XG4n0A60AfuADkAGrcDhw4ep
 q6sbAIsVK1ZctmbNmisaGxvH19UNHZJIeDVBENKXz3Pm7DN4/GePSbFYVMYY
 iaJIRVGENUbuf+DHavMf32JITQ3FYr6r7WDr9tbWPe/19vZ0eJ5u7evr2wXs
 dYIfBvKAPZLgn6hAfX09XV1dAIhIyhhTq5RKi8i3lFJXAJPCMGTp0qWsX/87
 8YuBKgYBWmlJJtPKGiszZkxXj/7kIUQE3/cln8+HQRCEHR0H2268Ycl7W7e9
 9Y619qCz6j6gBTgE9AJmsHD+mAcaGxtHt7e3L1y0aNGMtWvXnikix4jERijB
 IwxDVq5cJY8++l+qsbGRpJeSVCqtMpkMSiVoaKjrOu/8+ftbWva0bd68eff6
 9eu3O0EPOli0A92A/2kW/jwKnNzR0bFRROqWLl3KXXfdhbUWay2VsAjDUF75
 n01q1aofUlc3lEIhv//QoQPvHjx44AM/KHYWCvkWYDfQ6gTvcQKbLzJlex+9
 IMIBEclfeMHCumd+/QLWCkuXLkFEiKJIFYtFyefzQRiGoR8UWuqHVW178cXf
 bgG6nKB7HTQ6K3D8pW2fFMQZ4NlLLv7uP6VSmg927JRxx4+ShZf+24E9H+5p
 37VrV9vGjRt3bdq06V1gv4NEm8N0zln5b7apI1y79rzzL3nQRCECWGOlWMy9
 s3HjCyuAD5yFc39LQUeMaKKt7cBnTqNjzznnXz40YgAlICCoKVMmcfNNV5NK
 p0FAacXaJ9byyI9+VI5EBRhrWbRoEddce03/C5Rif+t+LrroIqwxoBQqznY0
 NY3k6V8/RcLzQASUIp1Oc868c+jq7ERQ7NvXoj5TDLhtT8EvYK3Eb0aors7w
 /gc7paVlv5o7dzbWWvbu3cdz617gmLHjKgSFpqaR3HHH7aRSKRBBAK01V333
 akaOPAYvkSjfGwQhzz77FE1NTeUeSmvNLTffRjZbQ93xDZjIsG9fy2cN4pUo
 tRw/8DFWUAqMsTQMr+eRh1er0aNGUigUyGazXPnta+ju6SPhBFJK0dHRyRNP
 /BylFH6xiADZbJbrr7+V3btb8TyPMAwBRffhbh586D4aGhooFAooIOEleO65
 3/Pyy3/AiqJQCAaXhZRaXhampjpDvlDkhAnH89AD91BXV0vB90klkzzwwI8x
 ETR9ZfSAduO6666laWQThaIPChSKV196hR3vf8jIEaMrDCXMP/dcTp99GvlC
 0d0LPZ2dPP3UbxlWP3xABzDobnT6zDlSVZVh794PueD8+dTWDiWKIhTgBwHr
 n38JrRVSUYY8z2PBgnOxEnsOQKzwpzfeprW1DaVVxYsVM0+ZyphjRmGtjQVR
 itbWNja98iqZbDYOh/gpbG/eogalwPgTJsmwhmGYKIoFAlAapWLveJ6HQsXB
 qNyjpIILKEVJO6WVs6bEl0QQBGMM1lp3zRJfBa0UYgWLRYuireMgrYMMYqqr
 h9AwrMElBY3WCqU1Sim0ivd85LjkcoVCIYj7W4JMSXArFqw7ttZ1rhZrBbEW
 EYuxlpIL8oXiZ4+BSt8YG79cK8EKKCtojRNKOSO745KgMWksn4m43yS2fqmv
 Kh2LSCx46VgEsaXrtmycQStwqKOTpJeKraxjS2udQGkdW12XrE98jdhD/R4A
 UfTDBotYBlq8bHnrzt2xW8ZalILDnZ2DD+L1638n6XQqNqlSiLg0EYsGDh51
 tUPJ9eUxJhoQ0EKsgYiNoeTgU1tbR29vjiiKnNAuJsRiRSHEMWEdxMRCvlBg
 8cJvDC6Ixx1/kjQ2Di9btOj7hFFEKpmipqYGz/MQEeaeNYdtW/9MX76AdnFQ
 jgWl6OnpIQwjamtrsGI5c+4c3nrjT+RyvbHFTWz9KAw5fLibyERYa/G8BJ7n
 USjkyfX20tbeOrggrqkZQrYqCygaGuq56qp/Z/r0aez6y24efOgROg91oZQi
 mUqTzWYRFFopQKE1KNEc6upk9eqVHDN2DDfftJxcLoeXTJHOZjDGYKxxUDGM
 GzeOFd+7jfr6elKpJGvXPsm99/wArTXZqiGDH6uUgkisRStNsehz//0PM2Hi
 CVx55WK8pFd2cz8MXDa1UAx8liy5gXHjjiPfV3C4L2Uj5TJRHBNhGDFlykkk
 EgluvP4Wli+7nSef/GWcqstperBZiBiHSsGBtnbuvPNuwiBk9uzTaGwc3p8W
 bX96VA6TVoSLL/lXGoY3sP6Flxg7djRFP3D/EytrwohiEBD4PlEUMXXaVNra
 DpLJZtmw4SV830dphVh7VOZ+ZA8AYgxiHK8Wy+zZp7Ngwdd4/vkN+AUfi40L
 jsTBZkUII8OMGdOYMX0q31uxinnz5rBr1x4CP0CAKIro7umhN5ejmC8QhhGJ
 RILXXnudLe9sZc3DP2TV3XdSVZ11gqijzh6OPJkTwVjBiCUKI+adczb3rV7J
 T3/6M9atW48AJioJH6dGYyKGNwxj+Yqb6Ont5fIrLmXMmFGcMnMaWmu6D3dT
 KPr91dfBw/d9fvXLp1m9+gEuu+zbzJ//j6RTqRg+nzL58Y4WA8YaUokk/3HN
 dzhr7hzuXvUDXn31NYYNqycKTZzmXNU0JgLiPv6hB3+CsYbjjhtLGIS8/PIm
 8vnCx3wsCJGxnDhpIocOdZLNZrj66u/w5ptvUyz65dT7uRXo6OjgxRefY9y4
 4wFYvuJW+vr6uOH6Jez+cE9MXkycCo0L9p07d7G9eQeFvjy33nYdkTH84he/
 IpNJV1ThfrFyvT3cfvtSJkyYgNaKDRteYtmy7xMEoSs3woAC81nrwMSJJ0s2
 kyFfKKDQJBJxFU7oBFVVWZLJJGKFOWefxbYtW+ntzSEiaJ1wpEThBwFhEJLJ
 ZhBriUzEnLPO5s03NtPb04O1sRcPdRwiiiJ836e6uopMJo01BiOCtQZrDHta
 dg6uDsyefToJz3PFKW7YSm0EDpsiQv2wesafOJEwDOP7PmIXK0JtXR29PT2E
 YUB9QwMnfvWrBEU/LmSldC2lODLldsOUWgpj2dOyc3AQ2rZtG17Cc11ool+4
 il4ooRI0b292PVJJ0crWDoyJ+Pr5F9D83rvkunvY0dyMCBgxMZTczMlaU54/
 WRv3RWINxsYQHXQM9HR3o3QC7QTWurQScUvtziu9U5k1SnTAGEOhWKQvl6M3
 10smm3ZxE+F5HsUgQMTiJT1MZOnt6Y5TuKvQpWI6aAWsFTQWUcpVW0E5TCqd
 iMutBaWk7J1Sr6eUJu6/VbldsGJJp1PccfsyOru6eOftrUyffjKpdJrenl4E
 YcyY0Xzzm99iaF1tXKldsbTyORRwvSBWHN2TWCaNBmuxjsTG1gdlpMzWBFvu
 Wq2NoWKNoS+f57Yl30chFP0i69Y971pmhe8XSadS5aavxBOsHD0LHVkBa8s4
 tlqhrY1n3Qq0FrTVGCVxPJQ4cGUQK9fzGIdjVyuiKCxjP5QAKyDWxFU8CMo8
 Ok61tswbBq1AX1/O4V0PwLsuB2vpuLR0Pzfulx8TRgSBTz6fJ9/XV67aA+hk
 OXDFKdNPbEot96DrwJpHHhNVmnVIhXXVwN5ESuyrck4uJUIDxhqmTJvBjveb
 KRYKjjbGP5Z6qJi4OCJTgk8lvQRWLrt2cIRm1KhjpWR9pTUJVH+qLO2J6WbM
 BSiPCz/6CqGfdUmpEsc9uEuX/fRSrFSk0X4PtHfsV4P+zKqcAxTi+K2q5Itl
 vquQCpLe7w0pTyNsuY0oM3ol/e31J5i18nWfiw+UCA1a0DYBymJ1DBglMYkX
 pVwAu7GKw73TdoDA/V5wDVoJImLLHhHpH6vYimnFoIK49BnJGoPWGisaEgYl
 GiVxARNlEKvjAZQbbmnAqlIN1o72A8rGoxWJk6ubYrn0WCLwttzZ2gEKmXhv
 zQDZPmW4K66HMcusMSNFpJZQVYGkQKWUwkNUAkVCgQaVQImmv4koR7k474sb
 JZXmcs4jZaYkIlGsnxiESJDAfSjJAz0I+ypl+9QgTqXSBIFf+t1zK1GxdMXy
 3F4dYcFHwsKt0idU45Z1y1SsyC1JeknC6OPfuv8Pjw32V3dFiIIAAAAASUVO
 RK5CYII=
