=== qttvdb/CMakeLists.txt ===
--- 
+++ 
@@ -53,7 +53,7 @@
 
 
 set(QTTVDB_LIB_MAJOR_VERSION "0")
-set(QTTVDB_LIB_MINOR_VERSION "1")
+set(QTTVDB_LIB_MINOR_VERSION "2")
 set(QTTVDB_LIB_PATCH_VERSION "0")
 
 set(QTTVDB_LIB_VERSION_STRING "${QTTVDB_LIB_MAJOR_VERSION}.${QTTVDB_LIB_MINOR_VERSION}.${QTTVDB_LIB_PATCH_VERSION}")
