=== src/CMakeLists.txt ===
--- 
+++ 
@@ -43,7 +43,8 @@
   showdialog.cpp
   bannerloader.cpp
   tvdbmodel.cpp
-  tvdbitem.cpp)
+  tvdbitem.cpp
+  aboutdialog.cpp)
 
 SET(serieswatcher_UIS
   mainwindow.ui
@@ -53,7 +54,10 @@
   settingsdialog.ui
   actiondialog.ui
   episodedialog.ui
-  showdialog.ui)
+  episodedialogscroll.ui
+  showdialog.ui
+  showdialogscroll.ui
+  aboutdialog.ui)
 
 SET(serieswatcher_MOC_HDRS
   mainwindow.h
@@ -75,7 +79,8 @@
   episodedialog.h
   showdialog.h
   bannerloader.h
-  tvdbmodel.h)
+  tvdbmodel.h
+  aboutdialog.h)
 
 SET(serieswatcher_RCS serieswatcher.qrc)
 
@@ -87,8 +92,17 @@
 QT4_WRAP_UI(UI_HDRS ${serieswatcher_UIS})
 QT4_ADD_RESOURCES(RC_SRCS ${serieswatcher_RCS})
 
+if (WIN32)
+ set(GUI_TYPE WIN32)
+ add_custom_command( OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/icon.o
+                     COMMAND windres.exe -I${CMAKE_CURRENT_SOURCE_DIR} -i${CMAKE_CURRENT_SOURCE_DIR}/serieswatcher.rc
+                     -o ${CMAKE_CURRENT_BINARY_DIR}/icon.o )
+ set(serieswatcher_SRCS ${serieswatcher_SRCS} ${CMAKE_CURRENT_BINARY_DIR}/icon.o)
+endif ()
+
 ADD_EXECUTABLE(
 	serieswatcher
+	${GUI_TYPE}
 	${serieswatcher_SRCS}
 	${UI_HDRS}
 	${MOC_SOURCE}
