=== pkg/maemo5/debian/changelog ===
serieswatcher (0.1.2-1) unstable; urgency=low

  * Fix settings

 -- Corentin Chary <corentincj@iksaif.net>  Thu, 26 Oct 2010 19:02:59 +0200
