=== pkg/maemo5/debian/control ===
--- 
+++ 
@@ -9,20 +9,19 @@
 Package: serieswatcher
 Architecture: armel
 Depends: ${shlibs:Depends}, ${misc:Depends}
-XB-Description-fr_FR: SeriesWatcher permet de surveiller
- les séries que vous regardez. Vous pourrez être prévenus
- des nouveaux épisodes, les marquer comme vus, etc...
- SeriesWatcher permet aussi de rajouter des liens dynamiques
+XB-Description-fr_FR: SeriesWatcher permet de surveiller vos séries télé.
+ Vous pourrez être prévenus des nouveaux épisodes,
+ les marquer comme vus, etc...
+ Series Watcher permet aussi de rajouter des liens dynamiques
  vers d'autres services afin de pouvoir rapidement trouver
  les DVDs ou sous-titres correspondant à un épisode ou à
  une saison. L'application utilise l'API fournie par
  thetvdb.com.
-XB-Maemo-Display-Name: Serieswatcher
-Description: SeriesWatcher can help you keep track of the
- TV shows you're watching. It let you mark watched episode
- and allow to add dynamic links to other services (to buy
- DVDs, download subtitles, etc...). Data comes from
- thetvdb.com XML API.
+XB-Maemo-Display-Name: Series Watcher
+Description: Series Watcher can help you keep track of the TV shows you're watching.
+ It let you mark watched episode and allow to add dynamic
+ links to other services (to buy DVDs, download subtitles, etc...).
+ Data comes from thetvdb.com XML API.
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
  6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAA3XQAAN10BGYBGXQAAAAd0
