=== pkg/maemo5/debian/changelog ===
serieswatcher (0.1.3-1) unstable; urgency=low

  * Fix show deletion
  * Fix TheTvDB issues with redirections
  * New Logo

 -- Corentin Chary <corentincj@iksaif.net>  Thu, 18 Apr 2011 19:02:59 +0200
